- Home
- API Enriched
- Tenant And Identity
- web
- DELETE
DELETE
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/oidc_provider/example/delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/oidc_provider/example/delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example" }'DELETE deletes OIDC provider by name. This would also disable SCIM integration for the tenant, if at all, it was enabled.
Returns OIDC provider object that gets deleted. Query will look into current tenants system namespace for OIDC provider by name.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Supports only system namespace.
Name Name of OIDC provider object.
Request Bodyrequired
Section titled “Request Bodyrequired”DeleteRequest is the request payload for deleting an OIDC provider/SSO configuration.
object
Name of OIDC provider object.
Supports only system namespace.
Examplegenerated
{ "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Shape of DELETE response for OIDC provider DELETE request.
object
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example